Bug 177945 - Bad: installer doesnt work, nor does FC3 boot
Bad: installer doesnt work, nor does FC3 boot
Status: CLOSED NOTABUG
Product: Fedora
Classification: Fedora
Component: anaconda (Show other bugs)
3
i386 Linux
medium Severity high
: ---
: ---
Assigned To: Anaconda Maintenance Team
Mike McLean
:
Depends On:
Blocks:
  Show dependency treegraph
 
Reported: 2006-01-16 13:56 EST by abu
Modified: 2007-11-30 17:11 EST (History)
0 users

See Also:
Fixed In Version:
Doc Type: Bug Fix
Doc Text:
Story Points: ---
Clone Of:
Environment:
Last Closed: 2006-01-28 00:23:40 EST
Type: ---
Regression: ---
Mount Type: ---
Documentation: ---
CRM:
Verified Versions:
Category: ---
oVirt Team: ---
RHEL 7.3 requirements from Atomic Host:
Cloudforms Team: ---


Attachments (Terms of Use)

  None (edit)
Description abu 2006-01-16 13:56:14 EST
From Bugzilla Helper:
User-Agent: Mozilla/5.0 (Windows; U; Windows NT 5.1; en-US; rv:1.8) Gecko/20051111 Firefox/1.5

Description of problem:
i updated my FC3 box last night, everything was working fine and then it computer just restarted and i got the following error when i rebooted:

booting fedora core (2.6.12-1.1386_fc3)

root (hd0.0)
filesystem type is ext2fs, partition type 0x83
kernel /nmlinuz-2.6.12-1386_fc3 ro root=/dev/volGroup00/LogVol00 rhgb quiet
linux-bzImage, setup=0x1e00, seize 0x193551

error 16: Inconsistent file system structure

press any ket to continue.....

(if i press any key nothing happens)

I tired to do a fresh reinstall, with FC3 and RH 4.0 but it would give me the following error:

exception occured:

traceback (most recent call last)
file "/usr/src/build/47569-i386/install/usr/lib/anaconda/gui.py line 789 in nextclicked
self.dispatch.gotoNext()

file "/usr/src/build/47569-i386/install/usr/lib/anaconda/dispatch.py line 171 gotoNext
self.moveStep()

file "/usr/src/build/47569-i386/install/usr/lib/anaconda/dispatch.py line 239 in moveStep
rc= apply(func, self.bindArgs(args))

file "/usr/src/build/47569-i386/install/usr/lib/anaconda/upgrade.py line 44 in findRootParts
id.rootParts = findExisiting(ntf, id, chroot)

file "/usr/src/build/47569-i386/install/usr/lib/anaconda/partedUtils.py line 75 in 609, in findExisitingrootPartitions
for fs in fsset.getFSor(dev)

file "/usr/src/build/47569-i386/install/usr/lib/anaconda/fsset.py line 2422 n getFStoTry
if is validExt2(device)

file "/usr/src/build/47569-i386/install/usr/lib/anaconda/fsset.py line 2328 in is ValidExt2
buf = os.read9fd, 2048)

OSError, (Ermo 5) input/output error

(i get the option for debug, save to floppy and ok, if i click on debug it takes me to a command line)

Version-Release number of selected component (if applicable):


How reproducible:
Always

Steps to Reproduce:
1.installed fc3 on a fressh HDD
2.Downloaded the updates
3.and now when i boot i just get the error above
  

Actual Results:  nothing, it just dies on me

Expected Results:  i would have expected it to either boot into fc3 or atleast allow me to carry out a fresh install

Additional info:

my computer isnt anything special
Comment 1 Jeremy Katz 2006-01-18 11:54:21 EST
Can you provide the complete traceback you received?
Comment 2 abu 2006-01-19 07:23:04 EST
whatever it was, seems to have wacked by HDD, now when i try and boot from the 
fc3 cd or RH cd, it comes back saying that it hasn't detected my HDD.

Ive tired it with win xp, and same thing, ive booted from ERD commander and the 
same thing, its not detecting my HDD.

so thus i cant install nothing on it at the moment, do you know of any ulitiy 
that allows me to totally wipe it and start over a fresh?
Comment 3 Jeremy Katz 2006-01-28 00:23:40 EST
This sounds like problems with your hardware.  I'd recommend ensuring that all
cables are firmly connected and if so, then your hard drive may be dying.

Note You need to log in before you can comment on or make changes to this bug.